# $Header: /cvs/stx/stx/libview2/Make.proto,v 1.87 2003/11/21 15:39:44 cg Exp $
#
# -------------- no need to change anything below ----------


MODULE=stx
MODULE_DIR=libview2
LIBNAME=libview2
THIS_IS_A_BASE_LIBRARY="yes"
PACKAGE=$(MODULE):$(MODULE_DIR)

#
# less frequently used/needed
# these are compiled with +optSpace
#
UNCRITICALOBJS= \
	  $(OUTDIR)ColorValue.$(O)                 \
	  $(OUTDIR)Icon.$(O)                     \
	  $(OUTDIR)InputView.$(O)                \
	  $(OUTDIR)BlockValue.$(O)               \
	  $(OUTDIR)PrintConverter.$(O)           \
	  $(OUTDIR)EventListener.$(O)            \
	  $(OUTDIR)MIMETypes.$(O)                \
	  $(OUTDIR)MIMETypeIconLibrary.$(O)      \
	  $(OUTDIR)ActiveHelp.$(O)               \
	  $(OUTDIR)ActiveHelpView.$(O)           \
	  $(OUTDIR)KeyboardProcessor.$(O)        \
	  $(OUTDIR)ToolApplicationModel.$(O)     \
	    $(OUTDIR)ResourceSpecEditor.$(O)     \
	  $(OUTDIR)MultiImage.$(O)

WIN32_OBJS=$(OUTDIR)JPEGReader.$(O)              \


OBJS= \
	  $(OUTDIR)ColorValue.$(O)               \
	  $(OUTDIR)Icon.$(O)                     \
	  $(OUTDIR)DisplayObject.$(O)            \
	  $(OUTDIR)InputView.$(O)                \
	  $(OUTDIR)PrintConverter.$(O)           \
	  $(OUTDIR)MIMETypes.$(O)                \
	  $(OUTDIR)MIMETypeIconLibrary.$(O)      \
	  $(OUTDIR)ApplicationWindow.$(O)        \
	  $(OUTDIR)Model.$(O)                    \
	    $(OUTDIR)ApplicationModel.$(O)       \
		$(OUTDIR)ToolApplicationModel.$(O) \
		    $(OUTDIR)ResourceSpecEditor.$(O) \
	    $(OUTDIR)ValueModel.$(O)             \
		$(OUTDIR)PluggableAdaptor.$(O)   \
		  $(OUTDIR)TypeConverter.$(O)    \
		$(OUTDIR)BlockValue.$(O)         \
		$(OUTDIR)ValueHolder.$(O)        \
		  $(OUTDIR)ValueHolderWithWeakDependents.$(O) \
		  $(OUTDIR)TriggerValue.$(O)     \
		  $(OUTDIR)ProtocolAdaptor.$(O)  \
		    $(OUTDIR)AspectAdaptor.$(O)  \
		$(OUTDIR)BufferedValueHolder.$(O) \
		$(OUTDIR)IndirectValue.$(O) \
	      $(OUTDIR)Plug.$(O)                 \
	  $(OUTDIR)StandardSystemController.$(O) \
	  $(OUTDIR)Layout.$(O)                   \
	    $(OUTDIR)LayoutOrigin.$(O)           \
	      $(OUTDIR)LayoutFrame.$(O)          \
		$(OUTDIR)AlignmentOrigin.$(O)    \
	  $(OUTDIR)EventListener.$(O)            \
	    $(OUTDIR)ActiveHelp.$(O)             \
	  $(OUTDIR)ActiveHelpView.$(O)           \
	  $(OUTDIR)KeyboardProcessor.$(O)        \
	  $(OUTDIR)Menu.$(O)                     \
	  $(OUTDIR)MenuItem.$(O)                 \
	  $(OUTDIR)DragAndDropManager.$(O)       \
	  $(OUTDIR)DropObject.$(O)               \
	  $(OUTDIR)DropContext.$(O)              \
	  $(OUTDIR)DropSource.$(O)               \
	  $(OUTDIR)DropTarget.$(O)               \
	  $(OUTDIR)DragHandler.$(O)              \
	  $(OUTDIR)VisualRegion.$(O)             \
	  $(OUTDIR)ResourceRetriever.$(O)        \
	  $(OUTDIR)WindowBuilder.$(O)            \
	      $(OUTDIR)UIBuilder.$(O)            \
	      $(OUTDIR)TIFFReader.$(O)           \
	      $(OUTDIR)GIFReader.$(O)            \
	      $(OUTDIR)XBMReader.$(O)            \
	      $(OUTDIR)XPMReader.$(O)            \
	      $(JPEGREADER)                      \
	  $(OUTDIR)PopUpBanner.$(O)              \
	  $(OUTDIR)SimpleDialog.$(O)             \
	  $(OUTDIR)FlyByHelp.$(O)                \
	  $(OUTDIR)ApplicationSubView.$(O)       \
	  $(OUTDIR)PropertyListDictionary.$(O)   \
	  $(OUTDIR)MultiImage.$(O)
